Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request GET \ --url https://api.coralogix.com/mgmt/openapi/5/aaa/api-keys/v3/list/all \ --header 'Authorization: <api-key>'
{ "keys": [ { "accessPolicy": "{\"version\":\"2025-01-01\",\"default\":{\"permissions\":{\"data-ingest-api-keys:ReadAccessPolicy\":\"grant\",\"data-ingest-api-keys:Manage\":\"deny\",\"data-ingest-api-keys:UpdateAccessPolicy\":\"deny\",\"data-ingest-api-keys:ReadConfig\":\"grant\"}},\"rules\":[]}", "active": true, "hashed": true, "id": "<string>", "keyPermissions": { "permissions": [ "<string>" ], "presets": [ { "name": "my_preset", "permissions": [ "read_logs" ] } ] }, "name": "my_api_key", "owner": { "organisationId": "<string>" }, "value": "<string>" } ] }
Returns all API keys for the authenticated team.
API key authentication
This data structure is the response obtained when retrieving all API keys.
The keys.
Show child attributes
Was this page helpful?